Page MenuHomeFreeBSD

Remove support for FreeBSD < 11.2
ClosedPublic

Authored by rene on Oct 27 2018, 8:24 PM.

Details

Summary

Remove support for FreeBSD < 11.2 after FreeBSD 10.4 support ends (2018-11-01).

All ports that work only on FreeBSD 10 have already been marked DEPRECATED and
will be removed when they expire.

Some ports are not (fully) covered in this patch:

  • ports-mgmt/poudriere[-devel] -> build ports on an old system (*)
  • lang/perl5.26 -> required by ports-mgmt/poudriere-devel
  • emulators/i386-wine*
  • any patch in files/

Tools/scripts/tindex is untouched by this patch.

(*) Mk/bsd.port.mk does include a patch to raise the minimum supported version
to 11.2 though.

Test Plan
  • building INDEX on 13-amd64 works fine

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rene created this revision.Oct 27 2018, 8:24 PM
rene updated this revision to Diff 49714.Oct 27 2018, 10:38 PM

Clean up some pkg-* files too.

dns/bind* and emulators/qemu* are left out for now.

rene updated this revision to Diff 49726.Oct 28 2018, 1:04 PM

Rebase to r483291 and fix devel/qtcreator

`make check-sanity' on looks fine on all changed ports.

jbeich added a subscriber: jbeich.Oct 31 2018, 1:05 AM

From my POV:

  • Drop multimedia/aom/files/patch-av1_encoder_rd.h

From gecko POV:

  • Drop mail/thunderbird/files/patch-ipc_glue_MessageChannel.cpp
  • Drop www/firefox-esr/files/patch-ipc_glue_MessageChannel.cpp
  • Drop www/firefox/files/patch-ipc_glue_MessageChannel.cpp

From office POV:

  • devel/boost-libs: drop PLIST_SUB=FIBER in Makefile and expand %%FIBER%% in pkg-plist
  • devel/boost-all/compiled.mk: make C++17 unconditional

From misc POV:

  • Drop clang60 conditionals but keep USE_GCC from USES=compiler (non-trivial)
  • Drop print/harfbuzz/files/patch-src_test-ot-color.cc
  • Drop lang/phantomjs/files/patch-src_qt_qtbase_config.tests_unix_icu_icu.pro
  • Drop net-mgmt/netdata/files/patch-src_freebsd__sysctl.c
  • Drop print/lyx/files/patch-src_TexRow.cpp
  • Drop sysutils/munin-common/files/patch-plugins_node.d_ping__.in
  • Drop __FreeBSD__ < 11 conditional from graphics/mesa-dri/files/patch-src_util_futex.h
  • Drop || (defined(__FreeBSD__) && __FreeBSD__ < 11) but keep in games/keeperrl/files/patch-stack__printer.cpp
devel/boost-libs/Makefile
13 ↗(On Diff #49726)

I can't approve leaving cruft in such a unconspicuous manner. Either don't touch or clean up better.

Instead of leaving .if ${OPSYS} == FreeBSD as cruft consult DeltaPorts or assume DragonFly irrelevant/unmaintainable (due to lack of a liaison), letting interested folks restore the support if desired.

databases/mysql-connector-c++/Makefile
29 ↗(On Diff #49726)

DragonFly currently has GCC 8 in base system, before that it was GCC 5. Both support C++11 just fine.
https://github.com/DragonFlyBSD/DeltaPorts/tree/master/special/Mk/diffs/bsd.df.gcc.mk.diff

devel/heimdall/Makefile
36 ↗(On Diff #49726)

Better convert to USES=compiler:gcc-c++11-lib (requires fixing build). It'd be safer on libc++ systems.

devel/py-cffi/Makefile
26 ↗(On Diff #49726)

Looks specific to modern Clang, regardless of OS type.

devel/py-freebsd/Makefile
24 ↗(On Diff #49726)
devel/sfio/Makefile
26 ↗(On Diff #49726)

Required on FreeBSD to avoid conflict in <sys/socket.h>. Harmless on DragonFly

dns/knot2/Makefile
65 ↗(On Diff #49726)

DragonFly dropped i386 support eons ago. If conditional is really desired it should be limited to ${CHOSEN_COMPILER_TYPE} == clang.

graphics/graphviz/Makefile
258 ↗(On Diff #49726)

Required on FreeBSD to avoid conflict in <sys/socket.h>. Harmless on DragonFly

lang/erlang-runtime15/Makefile
79 ↗(On Diff #49726)

Makes sense. MAP_NORESERVE still exists on DragonFly.

multimedia/webcamd/pkg-message
6 ↗(On Diff #49726)

cuse4bsd is still required if base system was built WITHOUT_CUSE. Maybe make CUSE port option unconditional, here and in sysutils/uhidd.

net-mgmt/seafile-client/Makefile
53 ↗(On Diff #49726)

DragonFly has neither P_KTHREAD nor P_KPROC. The port builds fine beacause of #elif defined(__DragonFly__).

net-mgmt/seafile-server/Makefile
68 ↗(On Diff #49726)

DragonFly has neither P_KTHREAD nor P_KPROC. The port builds fine beacause the substitution only affects #if defined(__FreeBSD__).

net/openafs/Makefile
82 ↗(On Diff #49726)

Maybe this port should be DEPRECATED instead.

shells/ksh93-devel/Makefile
58 ↗(On Diff #49726)

Required on FreeBSD to avoid conflict in <sys/socket.h>. Harmless on DragonFly

shells/ksh93/Makefile
46 ↗(On Diff #49726)

Required on FreeBSD to avoid conflict in <sys/socket.h>. Harmless on DragonFly

sysutils/and/Makefile
22 ↗(On Diff #49726)

Similar to net-mgmt/seafile-client but DragonFly support is missing.
https://github.com/DragonFlyBSD/DeltaPorts/blob/master/ports/sysutils/and/Makefile.DragonFly

sysutils/pfstat/Makefile
37 ↗(On Diff #49726)

Doesn't build on DragonFly either way.

sysutils/pftop/Makefile
21 ↗(On Diff #49726)

Doesn't build on DragonFly either way.

x11/xlockmore/Makefile
165 ↗(On Diff #49726)

Maybe convert to .if exists(/usr/bin/fortune) (or reverse).

jbeich added inline comments.Oct 31 2018, 2:38 AM
deskutils/treesheets/Makefile
40 ↗(On Diff #49726)

Drop the conditional entirely and re-run make makesum instead of leaving cruft.

jbeich added inline comments.Oct 31 2018, 2:46 AM
emulators/linux_base-c6/Makefile
123 ↗(On Diff #49726)

DragonFly doesn't have linuxulator.

emulators/linux_base-c7/Makefile
128 ↗(On Diff #49726)

DragonFly doesn't have linuxulator.

rene updated this revision to Diff 49864.Nov 1 2018, 7:29 AM

Rebase onto r483643, add www/node10

rene marked 24 inline comments as done.Nov 1 2018, 9:30 PM
rene added inline comments.
devel/heimdall/Makefile
36 ↗(On Diff #49726)

This feels like a separate issue to me.

multimedia/webcamd/pkg-message
6 ↗(On Diff #49726)

Ah, good catch. I'll leave pkg-message unmodified.

net/openafs/Makefile
82 ↗(On Diff #49726)

Perhaps, it is already marked BROKEN unconditionally in r481399 (2018-10-06). So it will probably be purged in less than half a year if it remains BROKEN.

x11/xlockmore/Makefile
165 ↗(On Diff #49726)

Converting to exists(/usr/bin/fortune) seems the cleanest to me.

rene updated this revision to Diff 49903.Nov 1 2018, 9:47 PM
rene marked an inline comment as done.

Process most of jbeich's suggestions and rebase onto r483743

bapt accepted this revision.Nov 2 2018, 1:01 PM
This revision is now accepted and ready to land.Nov 2 2018, 1:01 PM
This revision was automatically updated to reflect the committed changes.